credentials:
  user: sre-admin
  ask_sudo_password: false
  private_key_file: /Users/georgest/.ssh/id_rsa_bastion_ift

hosts:
  - hostname: t1-disk-lt-k8s-test-master-01
    ip: "10.100.20.47"
    roles: [control_plane, etcd]

  - hostname: t1-disk-lt-k8s-test-slave-01
    ip: "10.100.20.48"
    roles: [node]

  - hostname: t1-disk-lt-k8s-test-slave-02
    ip: "10.100.20.49"
    roles: [node]

orchestrator:
  version: v1.30.3
  cluster_name: cluster.local
  kubelet_dir: "/app/k8s/kubelet"
  container_engine:
    install: true
    type: "containerd"
    data_dir: "/app/containerd"
    state_dir: "/app/containerd-state"
  dns:
    servers:
      - 8.8.8.8
      - 8.8.4.4
      - 1.1.1.1
    disable_host_nameservers: false
    coredns_external_zones:
      []
      # - zones:
      #     - example.com
      #     - example.io:1053
      #   nameservers:
      #     - 1.1.1.1
      #     - 2.2.2.2
      #   cache: 5
      # - zones:
      #     - https://mycompany.local:4453
      #   nameservers:
      #     - 192.168.0.53
      #   cache: 0
      # - zones:
      #     - mydomain.tld
      #   nameservers:
      #     - 10.233.0.3
      #   cache: 5
      #   rewrite:
      #     - name website.tld website.namespace.svc.cluster.local
  ping_access_ip: true
  auto_renew_certificates: true
  pod_security_policy_enabled: true
  registry_mirrors:
    - host: https://mirror.gcr.io
      skip_verify: false
    - host: https://quay.io
      skip_verify: false

modules:
  admin_password: changeit

  observability:
    enabled: false

  cicd:
    enabled: false

  secrets_storage:
    enabled: false

  registry:
    enabled: false

  additional:
    cert_manager:
      enabled: true
      account_email: g.stykalin@rockitsoft.ru
    storage:
      longhorn:
        enabled: false
      secrets_store_csi_driver:
        enabled: false
